# 32/64 spec
#
%define name 	compton-conf
%define version 0.3.0
%define release 1

Summary:	GUI configuration tool for compton X composite manager
Summary(de):	Konfigurationswerkzeug für compton X Composite Manager 
Name:    	%{name}
Version: 	%{version}
Release: 	%mkrel %{release}
Source0: 	%{name}-%{version}.tar.xz
License: 	LGPLv2.1
Group:   	Graphical desktop/LXQT
URL:     	http://lxqt.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	cmake 
BuildRequires: 	lxqt-build-tools
BuildRequires:	%{_lib}lxqt-devel  >= 0.11.0
BuildRequires:	%{_lib}qtxdg-devel >= 0.11.0
BuildRequires:	%{_lib}config-devel
BuildRequires:	qt5core-devel
BuildRequires:	qt5dbus-devel
BuildRequires:	qt5gui-devel
BuildRequires:	qt5widgets-devel
#----------- git need for translation -------
BuildRequires:	git
#--------------------------------------------
Requires:   glibc >= 2.20
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
GUI configuration tool for compton X composite manager.

#german
%description -l de
Konfigurationswerkzeug, GUI basierend auf QT, für den compton X Composite 
Manager. 

%package i10n
Summary:	Internationalization files for %{name}
Group: 		Graphical desktop/LXQT
Requires:	%{name}

%description i10n
Internationalization files for %{name}


%prep
%setup -q

%build
%cmake_qt5 -DPULL_TRANSLATIONS=Yes
%make

%install
rm -rf $RPM_BUILD_ROOT
pushd build
%makeinstall_std
popd

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-Configuration" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS
%{_sysconfdir}/xdg/autostart/lxqt-compton.desktop
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/compton.conf.example

%files i10n
%{_datadir}/%{name}/translations/*


%changelog
* Mon Oct 23 2017 daniel <meisssw01 at gmail.com> 0.3.0-1pclos2017
- update

* Tue Dec 13 2016 daniel <meisssw01 at gmail.com> 0.2.1-1pclos2017
- update

* Sun Nov 13 2016 daniel <meisssw01 at gmail.com> 0.2.0-2pclos2016
- add git for translation files and put it in a seperate package

* Mon Sep 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.2.0-1pclos2016
- 0.2.0
- switch to qt5

* Sun Nov 15 2015 daniel <meisssw01 at gmail.com> 0.1.0-1pclos2015
- 0.1.0
- initial import for pclos
